Name: cups-pdf
VERSION: 2.4.5
Release: alt2

Summary: Extension for creating pdf-Files with CUPS
Summary(ru_RU.UTF-8): Расширения для создания PDF файлов с помощью CUPS	
License: GPL
Url: http://cip.physik.uni-wuerzburg.de/~vrbehr/cups-pdf
Packager: Andriy Stepanov <stanv@altlinux.ru>
Source0: http://www.physik.uni-wuerzburg.de/~vrbehr/cups-pdf/src/%{name}_%{version}.tar.gz
#Source1: README.alt.ru
Group: System/Servers
Requires: ghostscript cups ghostscript-utils perl-MIME-Lite perl-MailTools perl-MIME-tools

BuildRequires: perl-MIME-Lite perl-MailTools perl-MIME-tools
# Automatically added by buildreq on Tue Mar 27 2007
BuildRequires: linux-libc-headers 

%description
"cups-pdf" is a backend script for use with CUPS - the "Common UNIX Printing System"
(see more for CUPS under http://www.cups.org/). "cups-pdf" uses the ghostscript pdfwrite
device to produce PDF Files.

%prep
%setup -n %{name}-%{version}

%build
cc %{optflags} -o cups-pdf src/cups-pdf.c


%install
install -D -m 700 cups-pdf %{buildroot}%{_libexecdir}/cups/backend/cups-pdf
install -D -m 755 contrib/cups-pdf-dispatch-0.1/cups-pdf-dispatch %{buildroot}%{_bindir}/cups-pdf-dispatch
install -D -m 644 extra/cups-pdf.conf %{buildroot}%{_sysconfdir}/cups/cups-pdf.conf
install -D -m 644 contrib/cups-pdf-dispatch-0.1/cups-pdf-dispatch.conf %{buildroot}%{_sysconfdir}/cups/cups-pdf-dispatch.conf
install -D -m 644 extra/PostscriptColor.ppd %{buildroot}%{_datadir}/cups/model/PostscriptColor.ppd
mv contrib/cups-pdf-dispatch-0.1/README README.dispatch

%files
%{_libexecdir}/cups/backend/cups-pdf
%{_bindir}/cups-pdf-dispatch
%{_datadir}/cups/model/PostscriptColor.ppd
%{_sysconfdir}/cups/cups-pdf.conf
%{_sysconfdir}/cups/cups-pdf-dispatch.conf
%doc ChangeLog COPYING README* contrib/cups-pdf-dispatch-0.1/examples

%changelog
* Wed Mar 28 2007 Andriy Stepanov <stanv@altlinux.ru> 2.4.5-alt2
- change owner of cups-psd to 700

* Tue Mar 27 2007 Andriy Stepanov <stanv@altlinux.ru> 2.4.5-alt1
- Initial test build

